## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global _missing_build_ids_terminate_build 0
%global _dwz_low_mem_die_limit 0

Name:           semaphore
Version:        2.11.2
Release:        %autorelease
Summary:        Semaphore UI is a modern UI for Ansible, Terraform, OpenTofu, Bash and Pulumi.

License:        MIT
URL:            https://github.com/semaphoreui/semaphore
Source:         https://github.com/semaphoreui/semaphore/archive/refs/tags/v%{version}.tar.gz
Patch:          hack.patch

BuildRequires:  golang
BuildRequires:  nodejs
BuildRequires:  nodejs-npm
BuildRequires:  go-task
BuildRequires:  git
BuildRequires:  systemd-rpm-macros

Requires:       ansible

%description
Semaphore UI is a modern UI for Ansible, Terraform, OpenTofu, Bash and Pulumi.
It lets you easily run Ansible playbooks, get notifications about fails, 
control access to deployment system.

%prep
%setup -q
%autopatch -p1

%build
export SEMAPHORE_VERSION="development"
export SEMAPHORE_ARCH="linux_amd64"
export SEMAPHORE_CONFIG_PATH="./etc/semaphore"
export SEMAPHORE_TAG="%{version}"
export APP_ROOT="./semaphoreui/"

if ! [[ "$PATH" =~ "$HOME/go/bin:" ]]
then
    PATH="$HOME/go/bin:$PATH"
fi
export PATH
go-task all

cat > semaphoreui.service <<EOF
[Unit]
Description=Semaphore Ansible
Documentation=https://github.com/semaphoreui/semaphore
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
ExecReload=/bin/kill -HUP $MAINPID
ExecStart=%{_bindir}/semaphore service --config=/etc/semaphore/config.json
SyslogIdentifier=semaphore
Restart=always

[Install]
WantedBy=multi-user.target

EOF

cat > semaphore-setup <<EOF
semaphore setup --config=/etc/semaphore/config.json
EOF

%install
mkdir -p %{buildroot}%{_sysconfdir}/semaphore/
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}

install -m 755 bin/semaphore %{buildroot}%{_bindir}/semaphore
install -m 755 semaphore-setup %{buildroot}%{_bindir}/semaphore-setup
install -m 755 semaphoreui.service %{buildroot}%{_unitdir}/semaphoreui.service

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%attr(755, root, root) %{_bindir}/semaphore
%attr(755, root, root) %{_bindir}/semaphore-setup
%attr(644, root,root) %{_sysconfdir}/semaphore/
%{_unitdir}/semaphoreui.service

%changelog
## START: Generated by rpmautospec
* Wed Jan 22 2025 Grillo del Mal <grillo@delmal.cl> - 2.11.2-1
- Updated to 2.11.2

* Tue Jan 21 2025 Neftali Yagua <noreply@email.com> - 2.8.90-1
- Imported from upstream
## END: Generated by rpmautospec
